Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.tudelft.simulation.dsol.animation.interpolation
Class ColorInterpolation

    java.lang.Object
      nl.tudelft.simulation.dsol.animation.interpolation.ColorInterpolation

public class ColorInterpolation
extends java.lang.Object

ColorInterpolation. This class works on two given colors and will, based on a start and end time transform from starting color to the destination color.
(c) copyright 2004 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Version:
  1.0 May 12, 2004
Author:
  Stijn-Pieter van Houten

Constructor Summary
`ColorInterpolation(java.awt.Color originalStartingColor, java.awt.Color originalDestinationColor, double startTime, double endTime)` constructs a new SimulatedLinearInterpolation

Method Summary
`java.awt.Color` | `getColor(double time)` returns a color based on the interpolation between the original and end destination

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorInterpolation

    public ColorInterpolation(java.awt.Color originalStartingColor,
                              java.awt.Color originalDestinationColor,
                              double startTime,
                              double endTime)

  constructs a new SimulatedLinearInterpolation

Parameters:
  `originalStartingColor` - the origin
  `originalDestinationColor` - the destination
  `startTime` - the startTime for the interpolation
  `endTime` - the endTime of the interpolation

Method Detail

### getColor

    public java.awt.Color getColor(double time)

  returns a color based on the interpolation between the original and end destination

  Parameters:
    `time` - the time
  Returns:
    the color to return

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 Delft University of Technology, the Netherlands. All Rights Reserved.